> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a user



## OpenAPI

````yaml /openapi.json get /api/v1/user/me
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/user/me:
    get:
      tags:
        - Account Informations
      summary: Retrieve a user
      operationId: UserController_view
      parameters: []
      responses:
        '401':
          description: Unauthorized
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponseDto'
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    UserResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/UserDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    UserDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        createdAt:
          format: date-time
          type: string
          description: Record creation timestamp
        updatedAt:
          format: date-time
          type: string
          description: Record last updated timestamp
        deletedDate:
          format: date-time
          type: string
          description: Record deletion timestamp
        firstName:
          type: string
        lastName:
          type: string
        name:
          type: string
        email:
          type: string
        phone:
          type: string
        haveTransactionPin:
          type: boolean
        verified:
          type: boolean
        resetToken:
          type: string
        resetTokenExpiry:
          type: number
        dob:
          type: string
        isAdmin:
          type: boolean
        deviceId:
          type: string
        deviceIp:
          type: string
        deviceModel:
          type: string
        platform:
          type: string
        lastLoggedIn:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - deletedDate
        - email
        - phone
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````